## cpcm 1.0-1

=== Makefile ===
GAME_VERSION=1.0

all:
	make -C src -f Makefile -k all GAME_VERSION=$(GAME_VERSION)
	make -C src/menu -f Makefile -k all GAME_VERSION=$(GAME_VERSION)

install:
	make -C src -f Makefile -k install DESTDIR=$(DESTDIR) GAME_VERSION=$(GAME_VERSION)
	make -C src/menu -f Makefile -k install DESTDIR=$(DESTDIR) GAME_VERSION=$(GAME_VERSION)

clean:
	make -C src -f Makefile -k clean
	make -C src/menu -f Makefile -k clean

=== debian/changelog ===
cpcm (1.0-1) unstable; urgency=low

  * Initial release

 -- unknown <Javi@unknown>  Mon, 29 Mar 2010 22:55:32 +0100

## cpcm 1.05-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GAME_VERSION=1.0
+GAME_VERSION=1.05
 
 all:
 	make -C src -f Makefile -k all GAME_VERSION=$(GAME_VERSION)

=== src/menu/Makefile ===
PKGS:=gtk+-2.0 hildon-1 hildon-fm-2 libhildonmime gconf-2.0 gnome-vfs-2.0 x11
CPPFLAGS:=$(shell pkg-config --cflags $(PKGS))
LDLIBS:=$(shell pkg-config --libs $(PKGS))

-include config.mk

# Some hardcoded paths
GAME_PLUGIN_PATH=/opt/maemo/usr/lib/cpcm_plugin.so
GAME_CONF_PATH=/opt/cpcm/cpcm.conf
GAME_BIN_PATH=/opt/cpcm/cpcm
GAME_BANNER_PATH=/opt/maemo/usr/share/pixmaps/osso-games-startup-cpcm.png
MAEMO_VERSION=5
OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup

# The about dialog will use this
CPPFLAGS+=-DGAME_VERSION=$(GAME_VERSION)
LDFLAGS=-shared

GETTEXT_PACKAGE:=cpcm_plugin
ifeq ($(CONF_NLS), 1)
	CPPFLAGS += -DCONF_NLS=1 -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\"
endif

M4:=m4
M4DEFS:= -DGAME_VERSION=$(GAME_VERSION) -DGAME_PLUGIN_PATH=$(GAME_PLUGIN_PATH)
M4DEFS+= -DGAME_CONF_PATH=$(GAME_CONF_PATH) -DGAME_BIN_PATH=$(GAME_BIN_PATH)
M4DEFS+= -DGAME_BANNER_PATH=$(GAME_BANNER_PATH)
ifdef MAEMO_VERSION
M4DEFS+= -DMAEMO -DMAEMO_MAJOR=$(MAEMO_VERSION)
endif

XGETTEXT:=xgettext
XGETTEXT_OPTS:=--default-domain=$(GETTEXT_PACKAGE) --from-code=UTF-8 \
	--language=C --msgid-bugs-address=jcqmaemo@ovi.com \
	--package-name=CPCm --package-version=$(GAME_VERSION) \
	--keyword=_ --keyword=N_
EXTRA_GETTEXT_SRCS:=buttons.inc

SRCS:=plugin.c state.c save.c controls.c keys.c settings.c about.c \
	 cellrendererkey.c
OBJS:=$(SRCS:.c=.o)

POT:=i18n/$(GETTEXT_PACKAGE).pot
PO_FILES:=$(wildcard i18n/*.po)
MO_FILES:=$(PO_FILES:.po=.mo)
LANGS:=$(basename $(notdir $(PO_FILES)))

DATA_FILES:=cpcm.conf cpcm.desktop
DATA_FILES+=cpcm.service cpcm.startup.service
DATA_FILES+=cpcm.schemas

all: cpcm_plugin.so $(DATA_FILES) $(MO_FILES) cpcm.launcher

cpcm.launcher:
	$(CC) $(CPPFLAGS) -o $@ -DOSSO_GAMES_STARTUP="$(OSSO_GAMES_STARTUP)" -DGAME_CONF="$(GAME_CONF_PATH)" launcher.c

cpcm_plugin.so: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@

$(POT): $(SRCS) $(EXTRA_GETTEXT_SRCS)
	$(XGETTEXT) $(XGETTEXT_OPTS) -o$@ $^

$(MO_FILES): %.mo: %.po
	msgfmt -c -o $@ $<

$(PO_FILES): %: $(POT)
	msgmerge -U $@ $(POT)
	@touch $@
	
clean: 
	rm -f cpcm_plugin.so *.o
	rm -f $(MO_FILES)
	rm -f $(DATA_FILES)

%: %.m4
	$(M4) $(M4DEFS) $^ > $@

install: all
	install -D cpcm.launcher $(DESTDIR)/opt/cpcm/cpcm.launcher
	install -D cpcm_plugin.so $(DESTDIR)$(GAME_PLUGIN_PATH)
	install -D -m 0644 cpcm.conf $(DESTDIR)$(GAME_CONF_PATH)
	install -D -m 0644 cpcm.desktop $(DESTDIR)/usr/share/applications/hildon/cpcm.desktop
	install -D -m 0644 cpcm.service $(DESTDIR)/usr/share/dbus-1/services/com.jcq.cpcm.service
	install -D -m 0644 cpcm.startup.service $(DESTDIR)/usr/share/dbus-1/services/com.jcq.cpcm.startup.service
	install -D -m 0644 icons/cpcm.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/cpcm.png
	install -D -m 0644 icons/banner.png $(DESTDIR)$(GAME_BANNER_PATH)
	install -D -m 0644 cpcm.schemas $(DESTDIR)/opt/maemo/usr/share/gconf/schemas/cpcm.schemas
#ifneq ($(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL),1)
#	gconftool-2 --makefile-install-rule $(DESTDIR)/usr/share/gconf/schemas/cpcm.schemas 
#endif
#	for lang in $(LANGS); do \
#		install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES ; \
#		install -m 0644 i18n/$$lang.mo \
#		 $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo ; \
#	done

.PHONY: all clean install

=== debian/changelog ===
cpcm (1.05-1) unstable; urgency=low

  * Fixed joystick key mapping mismatch
  * Fixed accelerometer sensitivity bug

 -- unknown <Javi@unknown>  Tue, 06 Apr 2010 16:04:32 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/capm.sgml > capm.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/capm.
	$(MAKE) DESTDIR=$(CURDIR)/debian/cpcm install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog.txt
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cpcm 1.10-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GAME_VERSION=1.05
+GAME_VERSION=1.1
 
 all:
 	make -C src -f Makefile -k all GAME_VERSION=$(GAME_VERSION)

=== src/Makefile ===
#
# Caprice32 port on GP2X 
#
# Copyright (C) 2006 Ludovic Jacomme (ludovic.jacomme@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
CAP32_VERSION=1.1.2

TARGET = cpcm
OBJS = gp2x_psp.o \
cpudingux.o \
cap32.o \
cpccat.o \
crtc.o \
fdc.o \
psg.o \
video.o \
z80.o \
psp_main.o \
psp_sdl.o \
psp_kbd.o \
psp_joy.o \
kbd.o \
psp_font.o \
psp_menu.o \
psp_run.o \
psp_menu_disk.o \
psp_danzeff.o \
psp_menu_set.o \
psp_menu_help.o \
psp_menu_joy.o \
psp_menu_kbd.o \
psp_menu_cheat.o \
psp_menu_list.o \
psp_editor.o \
miniunz.o \
unzip.o \
psp_fmgr.o \
osso.o


CC=gcc
STRIP=strip

DEFAULT_CFLAGS = $(shell pkg-config --cflags gconf-2.0) \
	$(shell pkg-config --cflags glib-2.0)
MORE_CFLAGS = -DLSB_FIRST \
-I. -I/usr/include -I/usr/include/SDL \
 -DMPU_JZ4740 -O3 -fomit-frame-pointer -fsigned-char -ffast-math \
 -DNO_STDIO_REDIRECT -DMAEMO_MODE  \
 -DCAP32_VERSION=\"$(CAP32_VERSION)\" -pthread

# -fsigned-char -ffast-math -fomit-frame-pointer \
# -fexpensive-optimizations -fno-strength-reduce  \

#  -ffast-math -fomit-frame-pointer -fno-strength-reduce -fexpensive-optimizations \
# -msoft-float -O3  -G 0 

CFLAGS = $(DEFAULT_CFLAGS) $(MORE_CFLAGS) 
LDFLAGS = -s

LIBS += -L/usr/lib -lpng -lz -lm -lpthread -ldl -lSDL -losso \
	$(shell pkg-config --libs gconf-2.0) \
	$(shell pkg-config --libs glib-2.0)
	
all: $(TARGET)

.c.o:
	$(CC) $(CFLAGS) $(DEFAULT_CFLAGS) $(MORE_CFLAGS) -c $< -o $@

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) $(CFLAGS) $(DEFAULT_CFLAGS) $(MORE_CFLAGS) $(OBJS) $(LIBS) -o $(TARGET) && $(STRIP) $(TARGET)

install: $(TARGET)
	install -D cpcm $(DESTDIR)/opt/cpcm/cpcm
	#install -D blank.dsk $(DESTDIR)/opt/cpcm/blank.dsk
	install -d $(DESTDIR)/opt/cpcm/rom
	install -m 644 rom/* $(DESTDIR)/opt/cpcm/rom

clean:
	rm -f $(OBJS) $(TARGET)

ctags: 
	ctags *[ch]

=== debian/changelog ===
cpcm (1.10-1) unstable; urgency=low

  * Added 2 disk drives support
  * Disk auto launch feature
  * Monochrome monitor option
  * Remember last ROM folder
  * Fixed eject disk not working properly

 -- unknown <Javi@unknown>  Thu, 08 Apr 2010 11:49:32 +0100

=== debian/control ===
Source: cpcm
Section: user/games
Priority: optional
Maintainer: javicq
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev
Standards-Version: 3.7.2

Package: cpcm
Depends: osso-games-startup
Architecture: armel
XB-Maemo-Display-Name: CPCm
Description: Amstrad CPC emulator for Maemo
XSBC-Bugtracker: mailto:jcqmaemo@ovi.com
XB-Maemo-Icon-26:
	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwEAYAAAAHkiXEAAAACXBIWXMAAAsT
	AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
	VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
	iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
	CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
	vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
	mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
	AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
	AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
	KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
	/yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
	oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
	JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
	mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
	APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
	KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
	1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
	mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
	vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
	Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
	CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
	h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
	k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
	5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
	aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
	TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
	81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
	WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
	qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
	qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
	pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
	DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
	jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
	1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
	1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
	vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
	thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
	m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
	Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
	nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
	QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
	P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
	ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
	LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
	TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
	TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
	V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
	edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
	fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
	uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
	PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
	AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
	j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
	HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
	k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
	2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
	8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
	P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
	6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
	xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
	/GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
	kl/FRgAAD+BJREFUeNrUm39QVFeWxz/v8WjbtkMAKUWEDqJB1zgsiz+CxiEM
	wxDXYK1rDHGMRU0lrCGEQuI6xhDXtViHIv5gTcYwaBHjWsZx3MQywmYsQrEu
	ZQijBluGIHGRMEBY4gASbZq2ff3e/vEeP+RnG4Hgqbp1+/W597777j3nfM89
	914hLS0tLS0NEBER6SUFBaX7YWGpxt/QqT0/fVrjB57Unj2uDV9/pPZHny+c
	Vkv41GPbE21nNraWmbdNNncclRuEFsXiESfUUYaC1K8+/drHLX4AVmxkqHFC
	AgnOoruZplse2/5SeXf+5GJx3sGXfTd+c8Zxbn80EiCqFT1t6rmQlp6Wnpbe
	/wMMpdoH7tmjPacoGl8qnCgDPBJ/xn9Une30gzk7S6o7DoDLz9MgRAHSfQ7w
	D+XLWrI3+KZLRxpa2KKmo8T8k+n0zWB55/VCZMBwbxVgcrqWn/5ey9POaHmf
	gZ/gJCU6TIovzKotXf/9UVCKPa4JHQAY+3/tmJI+Iabg9v3ySxZ/w077aSX2
	q7ft0T7HpJi//QiAWhB7JElBQdn3mJb/ffy9/z88eYDnFWxp4GGVtyvloK4U
	41gNiDiQ+0juaKTu9pz98kGStOBOuhI8ab6wXQ2g/I//pWmPeEpXyEUGLU82
	8pCStMuhKNMgaOmXp2wRoNilENEO7KKZZX2kcjRI0duSNDOCSf8t65PQruem
	gVUnR3fEyNdmHG5bMavemLTpZ5rlFF9+SsuF5B5b+pDlM39h3WhbBOIWuVqt
	AzVDcBKDpuNiHxv9oMkAOIAOIAo4B0IzUALCNaAFOKaXM/aZ9H7tTKqwFbrs
	mzx1DVg+7aGVfOOdUiUKAqO+DL0dBcouaZ5gAXZRj3OMbLsJsAFWoBLUmD48
	X+AQEKBrxBCaZ9hhNyvZATckzXb6Fw+iZvd6GROUP/O3l0tsgFjk8lad4Jrj
	aRGW63zHCGZE+QH87jYtuqnZgkwpgGpDBhxoZtwhGPEaunk1RMzhJQ9FnxuP
	zQ+b5Htec5QrvhAoVpywHQYlUQoUQwEvboyJ5PcnGSciYMMbM+AlbCMSMAgr
	WQMoOHs0YLDJrWQd/qRLmg1VUwb42QNVb0LxZzZa19pSQdwtJytmcBk8g8WN
	us13Du0WjuQ2usHX9MKJiA2IEmShBIS1nKcW1JNqvHoMKKWEc4ARBblP/2X8
	MAEBHKGaVvGhk/xCR7syD2ZGVVhtW0HJlCxiIOBFy7hIPqodBTCwGj/Aot5Q
	j4O6WZ2j5gPl6g4ydACWe0SnFwlsOHAAOWoUlaBjwCDKMkExIGDKFVtnGogx
	8kdKB7giPC2iQy8vj4KNd4evvc/EAuAoOUiAUT3MNgDBhFe/ugrgwB8jiAa5
	SW2G2/EBGyaZlfiHRgM8I+2ZynEI3HWp7lYVKMnScnEeYB4nm98bZTLoslyF
	DTBQTBWAYMY8qNejaUCYuh0rCKVqCi3Q6LPo2iNFzuU6BiBNWAxw4I0Elt9d
	rLzVAGKkqwI/cGV7WvQVrmbzR8/Gj8Q36H6OlVoAVdNUUTBiHLT//phBtMg1
	ah20xjyePLkGumY8+q5Hzp0SaaJL/qTjtnWuJTDjm8qdnXvBJUvZwnzgHDvG
	V/IHuvJaYE8wDiNSYFEPUQ1CBXEoUP/40hCvOuAiRhQ1eOJigO5PB31yMfz2
	RyAkqsuoANYK77JEBznnGNn40eDb8ccAolFuV+3QvnK27+Rg6Hrd+4J0ClDw
	QkGesBgwKeb2BVc5+If+2d5pB1eulCj4AyZah/SvJwZpY+qtnuMGCCGsowq+
	+dPSw16RQDve96zkh8KAoKCgoKAgiG2NbY1thfCs8KzwrIFvuxZ+LfxaOHxe
	/nn55+Vgfcv6lvWtXn5sW2xbbBusOrrq6KqjI/e+K74rviserP/wu6cLJsG3
	sWw/2QJsE44wTw8DyGCo9C6eshn+pvTXQatnwrzSXwevDhzYXuf6b3bfCITr
	vvnvf7YOrkbvqT/97RhihIwfEog22aSa4ebm4I3GLLA/6ZsnNQEi8/u0Iw3A
	gLmX516eexlS9qXsS9k38oCFWkOtoVYIJZRQoKCtoK2gDYp9in2Kfe5ffCYX
	Ti6cXAhL2UwCULm+9e7dZLhq2rv39PdgPjZr6/QmiDad/WLHczCldNZPpzUN
	3d6U47O2TmuCMH6z9UXApykiIaQcysp++UnOv4/JOuES7SBmM009CvVPLIv2
	qgfqieD4YPPWjQG6TV51ZNWRVUeGlsxNr296fdPr0JbXlteWN7Bct8aMaON1
	KkgsSCxIhILEgl8V/GogP0hc+9XSmF6bO7s96eXY3/cObH/6LCRy6RsfQ513
	fn5xwiDtBT53cmkk+G6NiAhZO4p7A068MYBY4UpSm6AjxsLkBWDb6FfleWjI
	/Qt5gAYEWYIsQZZBMCXeHm+PB77ma74eWYKnVk+tnloNZJNN9sgT4dx584wt
	ZRBXo8qnyLwZmAM8BT7bFobPXgNABxcGaSfsZmxnjhYmZubQ7/PZFhER8hz4
	dGj5ouTc914ZxMRUprw198PNMD3+538NK4fpK2Paf1IGd8M6Yjtz4PPz6z7J
	yYG78ztCbW/D4tD3/vWVO+BdsrAg5EqvoH4Q9IH9Azs0NjY2Njb2975FpKmv
	Tn116qtuQYzo1saGu+WM2JDBt7g+7k7csO0pOMF8fNau6R1uweDIZcSRbXtY
	7m++fjGnd+B7FoY6BkV7nZ3yL02wLOP3nZufA++ShYtCTvSWm5o8NXlqMryQ
	8ELCCwkD9jGkH90L8khwxijHwWtB80/v7B3C4dM6HMc8LRqB//j1rzJV04Ca
	6D31p4fBmgpx4+K8evjKu/xUxUeDmb6gwKBBnASpPwaMSHq5zKuZVzOvApvY
	xCZGPrUwBD0a/G29cz2YT87ym94KLAOS+i13LLpffQNQcNA+Yh+5mJfy2kEV
	Lp5Iee3g84NIuh6vmd2RlBT7h6E1x7ngZqxNE4xn2ALA1+QMLHej/lbxzTfA
	o1VZ7HgNgDXDrn+GwoDxpqfmpO19/jiQMTi/Pauioq4SOM8f0Lyqx0ecgB+B
	mpL/rt2cDjMucJVJuiC5Qe7HgvrZ9h1zd8zdMbfXxvWnzJrMmswaIIsssu7/
	g+p88/OL18KV5IxXjl0GIviYDDexRYTFybnvvSJASEdSUuzJgUUuHUp57aA7
	eNFXc4Ype+v8jALD/wJzCCXMbWyUfnQNqDyUcfHDdXDVd+/y00IfRh7Q/byl
	B7AnLKlLhEiigXba70dDe9YBXc92Pdv1rPsYMGrlLgjJBA7hW3fHXKTe/5wL
	bsbackbGADf6N/Bdw8d8RLdiW+7GwPRxFwf4+aNEbQfbDrYddCumaHNrwHr8
	/I7Yzv0P3j/b+rrdNyz3UcGBmTGwF2J/DGhsamxqHMTdMhWaCk2FvTas53mI
	2NB9YMrgfvkQ6ebuLyuunxxmPqt8iqdsAc8qn6Ip6QP53Quom7srKq5/7EaM
	B0RBAjJVhWI3bLu7+x5DrQOK/Yr9iv2GXuG+s++dfe/s633uH6o4k3gm8Uxi
	Hz//5N1EtX70JOa6d/77xb/sHcj+9Iva8i/e/kc95DCIJ3IlNWPuh1t0Tcpx
	S/K14No6JU5dOxYa0G8dYH3T+qb1TciNzo3OjQZrhjXDmjF0A2VlZWVlZbBn
	7569e/b2WWrLms306vh2yZ1kN+y1mzEX2/pvdn8XAEXBTy594z+hJmpP/emG
	oZv/7tMS3z9Hwjnbis5/C4Tr3vn5nz3vPgYIW1WnegaUZmm3sGT0MUDQ7ge0
	/VVTCV+/IUH0Po+HeyZ15SqfwpLPDxe3OIDNwk4kUA8LZSwatP7oHg9/UH4z
	YZhA2n/3krIBamuiar0t0Pxm+AFzLqN0vL69dcz2hGf+9+VaWxiI7S6LWgiu
	XM9AYa2uc/IYxuMflK8FPhAuKEc5CXKq52HRCd+9+sTqKRWAL3GsfPDx6V4H
	jHosyNPRhVIOM4svG2znQcmTljwkO1katRKMCTzOueYrRdDgvyT4kZfA5esZ
	J6wcBwx44PP5P7Out8WAuNrlrzSAmim0sOyechM1iSgg5ClVnAJXpLRT3AIt
	r/9ky5Rwxuo+w+jtCXs2d1kUKwQaKtbfTgJls7RCnA+Yx+vE2oMuDJiGAcRs
	l6RUQkPHky1eTSCvN2wUM8futQPWAfedy9pO0GNflW+4FQviCZdIFKh7hSoi
	YVTP5o9hErJUG2dBafJoEdfC/z21INJUw1jfa3hwDDCk2Va7/MG/pCqw0wqu
	d6UUwcKPcGLtB9ItAjGCmCO3KxXQlL048RELyLZJleL2MX+7Qd8PEHL1PzLc
	juXIGqYHvnV5me0sCH6qiWpgmZBFNNoNkYl8bkfnC2lqAMWgWsQq8Rg0Px3m
	O2UnoDCP1geIdbnFF1J0DXDl3PfU5dubXNkw49CVs7YdoORLawU/wEj7Q+Ht
	2PDDAGKqfF5theaW8DlTjsFdszFN7BivTsgOHQNaoty2XQZNrmfOulxmqwEx
	X4kmDtR84SxhD4/NJ0FNoRZUp1BNNjS5IhaZYwFDn0PlY3637bvVugacD3Tb
	20mzz1eOQIB8xbdzDSg5UrQQqNv88ZZ85T7Czz1hX3yRwCNGrlcd8N3y+Umm
	FeBMMi3w2D3eani+VF8HvK/fD1YPjOS/+nd9tbMzEMRdcqVSA+ouoZYl4+iv
	G1GwARJyz39m7r23O1yKUI/SDDQRgR80vrg40WuRPjUy43SfuXuc3/+TrgGX
	9D2nvIih5srj6N1FaiUErblkvZ0KygmPatEMmGkdo9uIir5fICOjbZ62ACWY
	CQMqmEaODvZ+PY7BcFFNbyTwiJZtKnBj/9y6yfngSPW65PHSeEt+XjjZainH
	L1WI99qkf/4fLS9q6G+zpi2sKbN7g1R3N1CJBDVejCOB0buHK/XEYrTLb4eZ
	jwLsJJVgYIfaSjaoC8gVzgLH2IAXIKkOqvS6xmHan6d+SjuwjTVUQ8PsJYu8
	UgFF32gZF5tfdEYf5z8Kx1U/tXZAeKpLd0NXT9fy97aIRS6HutK1+7EzXzTf
	qgfXdo90IUSP7Qwn+d27R1449Q800gHcwpt2wI43twAnBjp089AEmPXnddTS
	AWznBLdAELFiAXGnulx9F9jPAZIBu2DsuZkyOE5IAKLdlaEGQ+uK2buNl6Cr
	0Oe0FDzmXs7x7nHUx/UZNqipNHVlqeFCnpDUey6oH3UZtf9TmVT//QG5/bNq
	5xLzfo/63yaL7fJGcd10uxoutpAgFXGDeZjYfI8kg3ZjXAa1gjm0g7CMQhKB
	VM4I8wErRvUCcIMEvIFmgoX1QAOKehTtHq5Nt5kdgIFSzgIBuoZksa3n5I04
	TLh5GjXYwXONPVU5IrT+5ZllGx+N6WogmVhWOA7ob3hAP99VpOXfXtPyL+o0
	/uGFhFOH4dI+XRP2USmkE9xb//8HAFIcLa8+h0L+AAAAAElFTkSuQmCC
	====

## cpcm 1.20-1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-GAME_VERSION=1.1
+GAME_VERSION=1.2
 
 all:
 	make -C src -f Makefile -k all GAME_VERSION=$(GAME_VERSION)

=== src/Makefile ===
--- 
+++ 
@@ -56,7 +56,8 @@
 STRIP=strip
 
 DEFAULT_CFLAGS = $(shell pkg-config --cflags gconf-2.0) \
-	$(shell pkg-config --cflags glib-2.0)
+	$(shell pkg-config --cflags glib-2.0) \
+	$(shell pkg-config --cflags gtk+-2.0)
 MORE_CFLAGS = -DLSB_FIRST \
 -I. -I/usr/include -I/usr/include/SDL \
  -DMPU_JZ4740 -O3 -fomit-frame-pointer -fsigned-char -ffast-math \
@@ -72,9 +73,10 @@
 CFLAGS = $(DEFAULT_CFLAGS) $(MORE_CFLAGS) 
 LDFLAGS = -s
 
-LIBS += -L/usr/lib -lpng -lz -lm -lpthread -ldl -lSDL -losso \
+LIBS += -L/usr/lib -lpng -lz -lm -lpthread -ldl -lSDL -lSDL_image -losso -lX11 \
 	$(shell pkg-config --libs gconf-2.0) \
-	$(shell pkg-config --libs glib-2.0)
+	$(shell pkg-config --libs glib-2.0) \
+	$(shell pkg-config --libs gtk+-2.0)
 	
 all: $(TARGET)

=== debian/changelog ===
cpcm (1.20-1) unstable; urgency=low

  * New keyboard layout, better support for international keyboards
  * Visual back button

 -- unknown <Javi@unknown>  Tue, 21 Apr 2010 12:04:32 +0100
